Bug 80184 - segfault when compiling
segfault when compiling
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-21 13:37 EST by Jon Smirl
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 07:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessor output (341.16 KB, application/octet-stream)
2002-12-21 13:39 EST, Jon Smirl
no flags Details

  None (edit)
Description Jon Smirl 2002-12-21 13:37:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20020922

Description of problem:
gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)

 gcc -Wp,-MD,fs/reiser4/plugin/.crypo_compressed.o.d -D__KERNEL__ -Iinclude
-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -g
-D__arch_um__ -DSUBARCH=\"i386\" -D_LARGEFILE64_SOURCE -Iarch/um/include
-Derrno=kernel_errno -Iarch/um/kernel/tt/include -Iarch/um/kernel/skas/include
-U__i386__ -Ui386 -nostdinc -iwithprefix include   
-DKBUILD_BASENAME=crypo_compressed -DKBUILD_MODNAME=reiser4   -c -o
fs/reiser4/plugin/crypo_compressed.o fs/reiser4/plugin/crypo_compressed.c
fs/reiser4/plugin/crypo_compressed.c: In function `crc_file_create':
fs/reiser4/plugin/crypo_compressed.c:50: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [fs/reiser4/plugin/crypo_compressed.o] Error 1
make[1]: *** [fs/reiser4] Error 2
make: *** [fs] Error 2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile the attached file
2.
3.
    

Additional info:
The is from the current CVS for Reiser4 and 2.52
Comment 1 Jon Smirl 2002-12-21 13:39:37 EST
Created attachment 88844 [details]
preprocessor output
Comment 2 Richard Henderson 2004-10-03 07:15:48 EDT
Fixed in gcc 3.3.

Note You need to log in before you can comment on or make changes to this bug.